FOOD FOR THOUGHT Conversion From PIAF Green question

AndyInNYC

Active Member
Joined
May 23, 2013
Messages
529
Reaction score
77
I'm presently running PIAF Green:
PIAF 2.0.6.5
FreePBX 2.11.0.38
Asterisk 11.10.0
Dahdi 2.9.0
Centos 6.5

I have a Digium card with hardware EC installed in the Intel based machine it runs on (and continue to need this).

The system has been running smoothly since I installed it, but I presently have need for Avantfax 3.3.5 (versus the 3.3.3 installed). My upgrade process continues to bork the machine (causing me to reinstall from backup - no problem).

What present PC-based version of PIAF includes DAHDI, supports my hardware, and installs 3.3.5?
If multiple, which version is closest in look/feel to what I'm running?

I'm going to continue to attempt the upgrade (and not reinstall all the upgrades which make the system so convenient), but if I fail I'd like to know what to look at. Anything I GAIN through a new install feature-wise?

Thanks for the thoughts on this.


Andrew
 

AndyInNYC

Active Member
Joined
May 23, 2013
Messages
529
Reaction score
77
I tried to install 13-13 'Whole Enchilada', but found that Dahdi wouldn't work right.
The system does not correctly see my TDM800P with EC and won't load the correct firmware.

I reinstalled dahdi from source, but it still fails to see any channels on my board/configure the board.

I'd hate to think my need for dahdi (which is still supported/my board is still supported) leaves me stranded to PIAF Green.

Any thoughts on getting the board correctly identified in software?

Sigh.

Andrew
 
Last edited:

wardmundy

Nerd Uno
Joined
Oct 12, 2007
Messages
15,079
Reaction score
2,601
The problem is apparently an unsupported Linux kernel in later releases of CentOS. This is really a DAHDI problem if I'm not mistaken (which is entirely possible since I've never relied upon it).
 

AndyInNYC

Active Member
Joined
May 23, 2013
Messages
529
Reaction score
77
Ward,

Could you elaborate on your comment?

Or another thought, is there a Centos (or Ubuntu or other?) version of linux which you think is supported other than the 6.1 suggested on which 13-13 will install?

Thanks.

Andrew
 
Last edited:

AndyInNYC

Active Member
Joined
May 23, 2013
Messages
529
Reaction score
77
I got a response on another forum.

If it is to be believed, Digium removed support for the TDM800P in 3.0.0 of Dahdi. I'll have to use 2.9x

That will be my *next* waste of a day.

Andrew
 
  • Like
Reactions: wardmundy

AndyInNYC

Active Member
Joined
May 23, 2013
Messages
529
Reaction score
77
Ward,

I installed 2.9.2 for Dahdi, and it compiles correctly.
When I go to recompile asterisk (13.24.1) and go into 'make menuselect', under Channel Drivers, chan_dahdi is unavailable.

Details state that 'Depends on' ==> dahdi (E), timezone (E)

Any thoughts on how to get dahdi compiled into asterisk?


Andrew
 

AndyInNYC

Active Member
Joined
May 23, 2013
Messages
529
Reaction score
77
I reran ./configure and make distclean - worked partially.
Asterisk compile now fails on pjsip 'stuff'.

I downloaded pjsip 2.8 and compiled it - no problem

Asterisk still fails to compile.

Any thoughts?

Andrew
 

Members online

No members online now.

PIAF 5 - Powered by 3CX

Forum statistics

Threads
22,319
Messages
137,010
Members
14,549
Latest member
mawa1213